<div class="row col-xs-12">
    <h3>Groups</h3>

    <div class="panel panel-default">

        <div class="panel-heading">
            <div class="form-inline" style="float: right;">
                <label for="limit" class="fa fa-hashtag"/>
                <input id="limit" type="number" class="form-control" style="width: 5em;" ng-model="ctrl.limit" ng-change="ctrl.refreshData()"/>
                <label for="search" class="fa fa-search"/>
                <input id="search" type="text" class="form-control" ng-model="ctrl.search" ng-change="ctrl.refreshData()"/>
            </div>
            <p>Objects: <span ng-bind="ctrl.selected"></span> of <span ng-bind="ctrl.count"></span></p>
        </div>

        <div class="panel-body">
            <table class="table table-hover">
                <tr>
                    <th width="1%">
                        <button class="btn btn-primary fa fa-plus" ng-if="ctrl.isAdmin()" ng-click="ctrl.editDialog(-1)"/>
                    </th>
                    <th width="98%">Group name</th><th ng-if="ctrl.isUser()">Am&nbsp;I&nbsp;member?</th>
                </tr>
                <tr ng-repeat="group in ctrl.groups" ng-click="ctrl.editDialog($index, group._id)">
                    <td style="text-align: right;" ng-bind="$index+1"></td>
                    <td ng-bind="group.name"></td>
                    <td style="text-align: right" ng-if="ctrl.isUser()"><input type="checkbox" ng-model="group.amIMember" ng-change="ctrl.changeMembership(group)"/></td>
                </tr>
            </table>
        </div>

    </div>
</div>